Bug 177620 - kernel device-mapper snapshot: barriers are not supported
Summary: kernel device-mapper snapshot: barriers are not supported
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 4.3
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Alasdair Kergon
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 168430
TreeView+ depends on / blocked
 
Reported: 2006-01-12 13:33 UTC by Alasdair Kergon
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 21:13:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dm-snapshot-barriers-not-supported (732 bytes, patch)
2006-01-12 13:33 UTC, Alasdair Kergon
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0132 qe-ready SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 3 2006-03-09 16:31:00 UTC

Description Alasdair Kergon 2006-01-12 13:33:45 UTC
Created attachment 123111 [details]
dm-snapshot-barriers-not-supported

Comment 1 Alasdair Kergon 2006-01-12 13:33:45 UTC
The snapshot target does not handle I/O barriers correctly so it should refuse
to process them.  Otherwise code that relies on them working could lead to data
corruption.

Comment 2 Alasdair Kergon 2006-01-12 13:56:36 UTC
The mapping functions always pass reads through to the underlying devices
immediately, but writes may get delayed.

Comment 8 Red Hat Bugzilla 2006-03-07 21:13:44 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html



Note You need to log in before you can comment on or make changes to this bug.